Name:		luit
Version:	1.1.1
Release:	%mkrel 7
Summary:	Locale and ISO 2022 support for Unicode terminals
Group:		Development/X11
URL:		http://xorg.freedesktop.org
Source:		http://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.bz2
Patch0:		luit-1.1.1-mdv-fix-CP866.patch
Patch1:		luit-1.1.1-posix_openpt.patch
License:	MIT

BuildRequires:	libfontenc-devel >= 1.0.1
BuildRequires:	pkgconfig(x11) >= 1.0.0
BuildRequires:	x11-util-macros >= 1.0.1

%description
Luit is a filter that can be run between an arbitrary application and a UTF-8
terminal emulator. It will convert application output from the locale's
encoding into UTF-8, and convert terminal input from UTF-8 into the locale's
encoding.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b CP866.
%patch1 -p1

%build
%configure2_5x	--x-includes=%{_includedir} \
		--x-libraries=%{_libdir} \
		--with-localealiasfile=%{_datadir}/X11/locale/locale.dir

%make

%install
%makeinstall_std


%files
%{_bindir}/luit
%{_mandir}/man1/luit.1*





%changelog
* Wed Oct 15 2014 umeabot <umeabot> 1.1.1-7.mga5
+ Revision: 748607
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.1-6.mga5
+ Revision: 682044
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.1.1-5.mga4
+ Revision: 533083
- Mageia 4 Mass Rebuild

* Sat Aug 24 2013 luigiwalser <luigiwalser> 1.1.1-4.mga4
+ Revision: 471348
- fix implicit declaration of posix_openpt compiler error with new gcc

* Sat Jan 12 2013 umeabot <umeabot> 1.1.1-3.mga3
+ Revision: 359111
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + bersuit <bersuit>
    - Add support to CP866

* Fri Jun 08 2012 tv <tv> 1.1.1-1.mga3
+ Revision: 257376
- new release

* Thu Jan 20 2011 pterjan <pterjan> 1.1.0-1.mga1
+ Revision: 26643
- imported package luit


* Thu Oct 07 2010 Thierry Vignaud <tv@mandriva.org> 1.1.0-1mdv2011.0
+ Revision: 583913
- new release

* Wed Feb 10 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 1.0.5-1mdv2010.1
+ Revision: 503786
- New version: 1.0.5

* Wed Nov 11 2009 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 1.0.4-1mdv2010.1
+ Revision: 464635
- New version: 1.0.4

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.0.3-4mdv2010.0
+ Revision: 426017
- rebuild

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 1.0.3-3mdv2009.1
+ Revision: 351545
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 1.0.3-2mdv2009.0
+ Revision: 223133
- rebuild

* Tue Feb 12 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.0.3-1mdv2008.1
+ Revision: 166386
- Revert to use upstream tarball, build requires and remove non mandatory local patches.
  New upstream release version 1.0.3.

* Tue Jan 22 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.0.2-4mdv2008.1
+ Revision: 156500
- Updated BuildRequires and resubmit package.

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 1.0.2-3mdv2008.1
+ Revision: 152883
- rebuild
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Herton Ronaldo Krzesinski <herton@mandriva.com.br>
    - Updated to 1.0.2.
    - Removed compatibility symlink at /usr/X11R6/bin, as xterm now is ok
      with /usr/bin.


* Thu Nov 16 2006 Pablo Saratxaga <pablo@mandriva.com> 1.0.1-4mdv2007.0
+ Revision: 84892
- compatibility symlink

* Tue Aug 15 2006 Pixel <pixel@mandriva.com> 1.0.1-3mdv2007.0
+ Revision: 56040
- locale alias file is %%{_datadir}/X11/locale/locale.dir

  + Gustavo Pichorim Boiko <boiko@mandriva.com>
    - rebuild to fix cooker uploading
    - increment release
    - Adding X.org 7.0 to the repository

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix description

